Name: wesnoth
Version: 0.8
Release: alt1

Group: Games/Strategy
Summary: SDL turn-based strategy
License: GPL
Url: http://wesnoth.whitevine.net
Packager: Gleb Stiblo <ulfr@altlinux.ru>

Source0: %{name}-%version.tar.gz
Source1: wesnoth.16.png
Source2: wesnoth.32.png
Source3: wesnoth.48.png

BuildRequires: XFree86-devel XFree86-libs gcc-c++ libSDL-devel libSDL_mixer-devel libSDL_image-devel libSDL_ttf-devel libpng-devel libSDL_net-devel

%description
Battle for Wesnoth is a fantasy turn-based strategy game.

Battle  for  control  of  villages,  using  variety of units which have
advantages and disadvantages in different types of terrains and against
different  types of attacks.  Units gain experience and advance levels,
and are carried over from one scenario to the next campaign.

Build a Hero, and lead your army.  Different  races,  with  distinctive
abilities, weapons and spells.

%package server
Group: Games/Strategy
Summary: %{name} server for multiplayer games
%description server
Battle for Wesnoth multiplayer network daemon

%prep
%setup -q -n %{name}-%version

%build
%configure --datadir=%_gamesdatadir --bindir=%_gamesbindir --enable-datadir-name="%name" \
		--enable-server --enable-editor 
%make_build 

%install
%make_install install DESTDIR=%buildroot

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(wesnoth): \
    title="Wesnoth" \
    section="Games/Strategy" \
    command="soundwrapper %_gamesbindir/%name" \
    needs="x11" \
    icon="%name.png" \
    longtitle="Battle for Wesnoth"
EOF

cat > %buildroot/%_menudir/%{name}_editor <<EOF
?package(wesnoth): \
    title="Wesnoth Editor" \
    section="Games/Strategy" \
    command="soundwrapper %_gamesbindir/%{name}_editor" \
    needs="x11" \
    icon="%name.png" \
    longtitle="Battle for Wesnoth Level editor"
EOF

mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_liconsdir/%name.png

%post
%update_menus
%postun
%clean_menus

%files
%_gamesbindir/%name
%_gamesbindir/%{name}_editor
%_menudir/*
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png
%_gamesdatadir/%name
%_man6dir/%name.*
%_man6dir/%{name}_editor*
%doc README MANUAL* copyright changelog COPYING

%files server
%_gamesbindir/%{name}d
%_man6dir/%{name}d.*
%doc README copyright COPYING


%changelog
* Tue Jul 06 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.8-alt1
- new version

* Mon May 03 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.7-alt2
- glibc 2.3 build

 Wed Mar 24 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.7-alt1
- Ver 0.7
- New maps, new units, new music. A lot of fixes and improvements

* Fri Jan 30 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt1
- ver 0.6.1.

* Thu Jan 29 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.4.8-alt1
- ALT adaptations.


